Apply guest writers
curl --request POST \
--url https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"cluster": "<string>",
"namespace": "<string>",
"rotate": true
}
'import requests
url = "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers"
payload = {
"cluster": "<string>",
"namespace": "<string>",
"rotate": True
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({cluster: '<string>', namespace: '<string>', rotate: true})
};
fetch('https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cluster' => '<string>',
'namespace' => '<string>',
'rotate' => true
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers"
payload := strings.NewReader("{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}observability
Apply guest writers
The one-off move of the shared gateway into envoy-gateway-system with
Authorisation: monitoring:Install on krn:celum:supervisor:{name}:monitoring:*.
Assistant tool: apply_guest_flow_writers
POST
/
api
/
supervisors
/
{name}
/
flow-pipeline
/
guest-writers
Apply guest writers
curl --request POST \
--url https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"cluster": "<string>",
"namespace": "<string>",
"rotate": true
}
'import requests
url = "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers"
payload = {
"cluster": "<string>",
"namespace": "<string>",
"rotate": True
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({cluster: '<string>', namespace: '<string>', rotate: true})
};
fetch('https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cluster' => '<string>',
'namespace' => '<string>',
'rotate' => true
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers"
payload := strings.NewReader("{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/flow-pipeline/guest-writers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"cluster\": \"<string>\",\n \"namespace\": \"<string>\",\n \"rotate\": true\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Response
OK. The body is not described: the code sends map[string]any.